let ipkg fail when a package file to be installed is not found
[openwrt.git] / openwrt / package / bind / patches / cross-compile.patch
1 --- bind-9.3.1/configure        2004-12-09 05:09:03.000000000 +0100
2 +++ bind-9.3.1.patched/configure        2005-05-23 13:17:58.919886003 +0200
3 @@ -23675,175 +23675,6 @@
4  # which provides some (all?) of the desired functions.
5  #
6  
7 -echo "$as_me:$LINENO: checking for inet_ntop with IPv6 support" >&5
8 -echo $ECHO_N "checking for inet_ntop with IPv6 support... $ECHO_C" >&6
9 -if test "$cross_compiling" = yes; then
10 -  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
11 -See \`config.log' for more details." >&5
12 -echo "$as_me: error: cannot run test program while cross compiling
13 -See \`config.log' for more details." >&2;}
14 -   { (exit 1); exit 1; }; }
15 -else
16 -  cat >conftest.$ac_ext <<_ACEOF
17 -/* confdefs.h.  */
18 -_ACEOF
19 -cat confdefs.h >>conftest.$ac_ext
20 -cat >>conftest.$ac_ext <<_ACEOF
21 -/* end confdefs.h.  */
22 -
23 -#include <sys/types.h>
24 -#include <sys/socket.h>
25 -#include <netinet/in.h>
26 -#include <arpa/inet.h>
27 -main() {
28 -char a[16],b[64]; return(inet_ntop(AF_INET6, a, b, sizeof(b)) == (char*)0);}
29 -_ACEOF
30 -rm -f conftest$ac_exeext
31 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
32 -  (eval $ac_link) 2>&5
33 -  ac_status=$?
34 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
35 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
36 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
37 -  (eval $ac_try) 2>&5
38 -  ac_status=$?
39 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
40 -  (exit $ac_status); }; }; then
41 -  echo "$as_me:$LINENO: result: yes" >&5
42 -echo "${ECHO_T}yes" >&6
43 -        ISC_PLATFORM_NEEDNTOP="#undef ISC_PLATFORM_NEEDNTOP"
44 -else
45 -  echo "$as_me: program exited with status $ac_status" >&5
46 -echo "$as_me: failed program was:" >&5
47 -sed 's/^/| /' conftest.$ac_ext >&5
48 -
49 -( exit $ac_status )
50 -echo "$as_me:$LINENO: result: no" >&5
51 -echo "${ECHO_T}no" >&6
52 -        ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_ntop.$O"
53 -        ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_ntop.c"
54 -        ISC_PLATFORM_NEEDNTOP="#define ISC_PLATFORM_NEEDNTOP 1"
55 -fi
56 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
57 -fi
58 -
59 -
60 -# On NetBSD 1.4.2 and maybe others, inet_pton() incorrectly accepts
61 -# addresses with less than four octets, like "1.2.3".  Also leading
62 -# zeros should also be rejected.
63 -
64 -echo "$as_me:$LINENO: checking for working inet_pton with IPv6 support" >&5
65 -echo $ECHO_N "checking for working inet_pton with IPv6 support... $ECHO_C" >&6
66 -if test "$cross_compiling" = yes; then
67 -  echo "$as_me:$LINENO: result: assuming target platform has working inet_pton" >&5
68 -echo "${ECHO_T}assuming target platform has working inet_pton" >&6
69 -       ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON"
70 -else
71 -  cat >conftest.$ac_ext <<_ACEOF
72 -/* confdefs.h.  */
73 -_ACEOF
74 -cat confdefs.h >>conftest.$ac_ext
75 -cat >>conftest.$ac_ext <<_ACEOF
76 -/* end confdefs.h.  */
77 -
78 -#include <sys/types.h>
79 -#include <sys/socket.h>
80 -#include <netinet/in.h>
81 -#include <arpa/inet.h>
82 -main() { char a[16]; return (inet_pton(AF_INET, "1.2.3", a) == 1 ? 1 :
83 -                            inet_pton(AF_INET, "1.2.3.04", a) == 1 ? 1 :
84 -                            (inet_pton(AF_INET6, "::1.2.3.4", a) != 1)); }
85 -_ACEOF
86 -rm -f conftest$ac_exeext
87 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
88 -  (eval $ac_link) 2>&5
89 -  ac_status=$?
90 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
91 -  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
92 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
93 -  (eval $ac_try) 2>&5
94 -  ac_status=$?
95 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
96 -  (exit $ac_status); }; }; then
97 -  echo "$as_me:$LINENO: result: yes" >&5
98 -echo "${ECHO_T}yes" >&6
99 -        ISC_PLATFORM_NEEDPTON="#undef ISC_PLATFORM_NEEDPTON"
100 -else
101 -  echo "$as_me: program exited with status $ac_status" >&5
102 -echo "$as_me: failed program was:" >&5
103 -sed 's/^/| /' conftest.$ac_ext >&5
104 -
105 -( exit $ac_status )
106 -echo "$as_me:$LINENO: result: no" >&5
107 -echo "${ECHO_T}no" >&6
108 -        ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_pton.$O"
109 -        ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_pton.c"
110 -        ISC_PLATFORM_NEEDPTON="#define ISC_PLATFORM_NEEDPTON 1"
111 -fi
112 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
113 -fi
114 -
115 -echo "$as_me:$LINENO: checking for inet_aton" >&5
116 -echo $ECHO_N "checking for inet_aton... $ECHO_C" >&6
117 -cat >conftest.$ac_ext <<_ACEOF
118 -/* confdefs.h.  */
119 -_ACEOF
120 -cat confdefs.h >>conftest.$ac_ext
121 -cat >>conftest.$ac_ext <<_ACEOF
122 -/* end confdefs.h.  */
123 -
124 -#include <sys/types.h>
125 -#include <netinet/in.h>
126 -#include <arpa/inet.h>
127 -int
128 -main ()
129 -{
130 -struct in_addr in; inet_aton(0, &in); return (0);
131 -  ;
132 -  return 0;
133 -}
134 -_ACEOF
135 -rm -f conftest.$ac_objext conftest$ac_exeext
136 -if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
137 -  (eval $ac_link) 2>conftest.er1
138 -  ac_status=$?
139 -  grep -v '^ *+' conftest.er1 >conftest.err
140 -  rm -f conftest.er1
141 -  cat conftest.err >&5
142 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
143 -  (exit $ac_status); } &&
144 -        { ac_try='test -z "$ac_c_werror_flag"
145 -                        || test ! -s conftest.err'
146 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
147 -  (eval $ac_try) 2>&5
148 -  ac_status=$?
149 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
150 -  (exit $ac_status); }; } &&
151 -        { ac_try='test -s conftest$ac_exeext'
152 -  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
153 -  (eval $ac_try) 2>&5
154 -  ac_status=$?
155 -  echo "$as_me:$LINENO: \$? = $ac_status" >&5
156 -  (exit $ac_status); }; }; then
157 -  echo "$as_me:$LINENO: result: yes" >&5
158 -echo "${ECHO_T}yes" >&6
159 -        ISC_PLATFORM_NEEDATON="#undef ISC_PLATFORM_NEEDATON"
160 -else
161 -  echo "$as_me: failed program was:" >&5
162 -sed 's/^/| /' conftest.$ac_ext >&5
163 -
164 -echo "$as_me:$LINENO: result: no" >&5
165 -echo "${ECHO_T}no" >&6
166 -        ISC_EXTRA_OBJS="$ISC_EXTRA_OBJS inet_aton.$O"
167 -        ISC_EXTRA_SRCS="$ISC_EXTRA_SRCS inet_aton.c"
168 -        ISC_PLATFORM_NEEDATON="#define ISC_PLATFORM_NEEDATON 1"
169 -fi
170 -rm -f conftest.err conftest.$ac_objext \
171 -      conftest$ac_exeext conftest.$ac_ext
172 -
173 -
174 -
175 -
176  
177  #
178  # Look for a 4.4BSD-style sa_len member in struct sockaddr.